Package org.bukkit.event.entity

# Class CreeperPowerEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.CreeperPowerEvent

All Implemented Interfaces:
  `Cancellable`

public class CreeperPowerEvent extends EntityEvent implements Cancellable
Called when a Creeper is struck by lightning.

If a Creeper Power event is cancelled, the Creeper will not be powered.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CreeperPowerEvent.PowerCause`
An enum to specify the cause of the change in power

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`CreeperPowerEvent(@NotNull Creeper creeper, @NotNull LightningStrike bolt, @NotNull CreeperPowerEvent.PowerCause cause)`
`CreeperPowerEvent(@NotNull Creeper creeper, @NotNull CreeperPowerEvent.PowerCause cause)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull CreeperPowerEvent.PowerCause`
`getCause()`
Gets the cause of the creeper being (un)powered.
`@NotNull Creeper`
`getEntity()`
Returns the Entity involved in this event
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable LightningStrike`
`getLightning()`
Gets the lightning bolt which is striking the Creeper.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CreeperPowerEvent

public CreeperPowerEvent(@NotNull @NotNull Creeper creeper, @NotNull @NotNull LightningStrike bolt, @NotNull @NotNull CreeperPowerEvent.PowerCause cause)

### CreeperPowerEvent

public CreeperPowerEvent(@NotNull @NotNull Creeper creeper, @NotNull @NotNull CreeperPowerEvent.PowerCause cause)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getEntity

@NotNull public @NotNull Creeper getEntity()
Description copied from class: `EntityEvent`
Returns the Entity involved in this event

Overrides:
  `getEntity` in class `EntityEvent`
Returns:
  Entity who is involved in this event

### getLightning

@Nullable public @Nullable LightningStrike getLightning()
Gets the lightning bolt which is striking the Creeper.

Returns:
  The Entity for the lightning bolt which is striking the Creeper

### getCause

@NotNull public @NotNull CreeperPowerEvent.PowerCause getCause()
Gets the cause of the creeper being (un)powered.

Returns:
  A PowerCause value detailing the cause of change in power.

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()